diff -ruN -x configure -x *~ -x ircd-hybrid-6b124.orig -x *.rej ircd-hybrid-6b124.orig/src/m_list.c ircd-hybrid-6b124/src/m_list.c
--- ircd-hybrid-6b124.orig/src/m_list.c	Wed Apr 26 23:55:55 2000
+++ ircd-hybrid-6b124/src/m_list.c	Wed Apr 26 23:55:45 2000
@@ -50,7 +50,8 @@
    * -Dianora
    */
   static time_t last_used=0L;
-  int i,j;
+  int i,j,minusers;
+  minusers = IsOper(sptr) ? 1 : 4;
 
   /* throw away non local list requests that do get here -Dianora */
   if(!MyConnect(sptr))
@@ -79,6 +80,7 @@
           if (!sptr->user ||
               (SecretChannel(chptr) && !IsOper(sptr) && !IsMember(sptr, chptr)))
             continue;
+          if (chptr->users < minusers) continue;
           sendto_one(sptr, form_str(RPL_LIST), me.name, parv[0],
                      ShowChannel(sptr, chptr)?chptr->chname:"*",
                      chptr->users,
@@ -116,6 +118,7 @@
           if (!sptr->user ||
               (SecretChannel(chptr) && !IsOper(sptr) && !IsMember(sptr, chptr)))
             continue;
+          if (chptr->users < minusers) continue;
           /* EVIL!  sendto_one doesnt return status of any kind!  Forcing us
              to make up yet another stupid client flag (we could just
              negate the DOING_LIST flag, but that might confuse people) -good*/
